From: akpm@osdl.org
Sent: Saturday, July 30, 2005 4:18 AM
To: Brown, Len
Cc: akpm@osdl.org
Subject: [patch 08/12] CONFIG_ACPI=n build fix


From: Andrew Morton <akpm@osdl.org>

arch/i386/kernel/setup.c: In function `setup_arch':
arch/i386/kernel/setup.c:1571: warning: implicit declaration of function `acpi_boot_table_init'
arch/i386/kernel/setup.c:1572: warning: implicit declaration of function `acpi_boot_init'
arch/i386/kernel/built-in.o(.init.text+0x17c4): In function `setup_sigcontext':
/usr/src/25/arch/i386/kernel/signal.c:299: undefined reference to `acpi_boot_table_init'
arch/i386/kernel/built-in.o(.init.text+0x17c9):/usr/src/25/arch/i386/kernel/signal.c:300: undefined reference to `acpi_boot_init'


Signed-off-by: Andrew Morton <akpm@osdl.org>
Index: to-akpm/include/linux/acpi.h
===================================================================
--- to-akpm.orig/include/linux/acpi.h
+++ to-akpm/include/linux/acpi.h
@@ -420,16 +420,6 @@ extern int sbf_port ;
 
 #define acpi_mp_config	0
 
-static inline int acpi_boot_init(void)
-{
-	return 0;
-}
-
-static inline int acpi_boot_table_init(void)
-{
-	return 0;
-}
-
 #endif 	/*!CONFIG_ACPI_BOOT*/
 
 int acpi_register_gsi (u32 gsi, int edge_level, int active_high_low);
@@ -536,5 +526,17 @@ static inline int acpi_get_pxm(acpi_hand
 
 extern int pnpacpi_disabled;
 
+#else	/* CONFIG_ACPI */
+
+static inline int acpi_boot_init(void)
+{
+	return 0;
+}
+
+static inline int acpi_boot_table_init(void)
+{
+	return 0;
+}
+
 #endif	/* CONFIG_ACPI */
 #endif	/*_LINUX_ACPI_H*/
